Subject: bug#50344: C-x v keybinding for vc-print-branch-log

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Oct 2021 11:28:59 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 07 Oct 2021 10:58:10 +0300
> 
> >> It will take more time to create branch commands due to many problems.
> >> So the best what we could do now is to rebind 'vc-switch-backend'
> >> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
> >> to  new keybinding.
> >
> > Please don't change such old key bindings, not unless we are
> > deprecating the command (which we aren't, AFAIU).
> 
> Sorry, I see no connection: why changing key bindings requires
> deprecating the command?

Because people will expect the old binding to work as long as the
command is useful.

> > It was then, but it can be used today with other backends.
> 
> What backends do you switch with 'C-x v b' today?

You mean, I personally?  Why is that relevant?  If you want to say
that no one uses this command anymore, then that points to deprecating
the command, and when it's obsolete for long enough time (at least one
major release, IMO), we can remove its binding.

> > So I'm opposed to such a change.  (And it's too late for incompatible
> > changes on the emacs-28 branch anyway.)
> 
> It makes no sense to develop branch commands without 'C-x v b' binding.

I don't see why it must end with 'b' to make any sense.  I think you
are exaggerating.